Skip to main content
PUT
/
billing
Update billing configuration (admin)
curl --request PUT \
  --url https://api.agentic.scope3.com/api/v2/storefront/billing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "billing": {
    "stripeConnectedAccountId": "<string>",
    "onboardingStatus": "pending",
    "platformFeePercent": 123,
    "fees": [
      {
        "name": "<string>",
        "feePercent": 50,
        "description": "<string>"
      }
    ],
    "currency": "<string>",
    "defaultNetDays": 123,
    "inherited": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentic.scope3.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json
platformFeePercent
number

Platform fee percentage (0–100)

Required range: 0 <= x <= 100
fees
object[]

Additional partner fees

currency
string

ISO 4217 currency code

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

defaultNetDays
integer

Payment terms in days

Required range: 0 <= x <= 9007199254740991

Response

Update billing configuration (admin)

billing
object
required

Storefront billing configuration